Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal
Class AbstractServiceCreator

    java.lang.Object
      org.apache.tapestry5.ioc.internal.AbstractServiceCreator

All Implemented Interfaces:
  ObjectCreator

Direct Known Subclasses:
  ConstructorServiceCreator, ServiceBuilderMethodInvoker

    public abstract class AbstractServiceCreator

extends java.lang.Object
implements ObjectCreator

Abstract implementation of `ObjectCreator` geared towards the creation of the core service implementation, either by invoking a service builder method on a module, or by invoking a constructor.

Field Summary
`protected java.lang.String` | `creatorDescription`
`protected org.slf4j.Logger` | `logger`
`protected ServiceBuilderResources` | `resources`
`protected java.lang.String` | `serviceId`

Constructor Summary
`AbstractServiceCreator(ServiceBuilderResources resources, java.lang.String creatorDescription)`

Method Summary
`protected InjectionResources` | `createInjectionResources()` Returns a map (based on injectionResources) that includes (possibly) an additional mapping containing the collected configuration data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tapestry5.ioc.ObjectCreator
`createObject`

Field Detail

### serviceId

    protected final java.lang.String serviceId

### resources

    protected final ServiceBuilderResources resources

### logger

    protected final org.slf4j.Logger logger

### creatorDescription

    protected final java.lang.String creatorDescription

Constructor Detail

### AbstractServiceCreator

    public AbstractServiceCreator(ServiceBuilderResources resources,
                                  java.lang.String creatorDescription)

Method Detail

### createInjectionResources

    protected final InjectionResources createInjectionResources()

  Returns a map (based on injectionResources) that includes (possibly) an additional mapping containing the collected configuration data. This involves scanning the parameters and generic types.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.